OrganisationImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example.impl

## Class OrganisationImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DescriptiveObjectImpl
    - - tv.amwa.maj.extensions.example.impl.ContributorImpl
      - - tv.amwa.maj.extensions.example.impl.OrganisationImpl

- All Implemented Interfaces:
    Serializable, Cloneable, CommonConstants, Contributor, Organisation, MediaEntity, MetadataObject, XMLSerializable, DescriptiveObject, InterchangeObject

      @MediaClass(definedName="Organisation",
                  uuid1=253759745,
                  uuid2=260,
                  uuid3=0,
                  uuid4={6,14,43,52,2,83,1,1},
                  description="Organisation that makes or contributes a resource.",
                  namespace="http://amwa.tv/maj/extensions/example",
                  prefix="eg",
                  symbol="Organisation")
      public class OrganisationImpl
      extends ContributorImpl
      implements Organisation, CommonConstants, Serializable, XMLSerializable, Cloneable

  Organisation that makes or contributes a resource. Implementation.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganisationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Organisation` | `clone()` Create a cloned copy of this interchange object.
    `long` | `getCompanyNo()` Returns the registered company number for the organisation.
    `Person` | `getContact()` Returns the contact person at the organisation responsible for the contributed resource.
    `void` | `setCompanyNo(long companyNo)` Sets the registered company number for the organisation.
    `void` | `setContact(Person contact)` Sets the contact person at the organisation responsible for the contributed resource.

    - ### Methods inherited from class tv.amwa.maj.extensions.example.impl.ContributorImpl

      `getName, setName`

    - ### Methods inherited from class tv.amwa.maj.model.impl.DescriptiveObjectImpl

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.extensions.example.Contributor

      `getName, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveObject

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `appendXMLChildren, getComment`

- - ### Constructor Detail

    - #### OrganisationImpl

          public OrganisationImpl()

  - ### Method Detail

    - #### getCompanyNo

          @MediaProperty(definedName="CompanyNo",
                         uuid1=253759745,
                         uuid2=260,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="UInt64",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         description="Registered company number for the organisation.",
                         symbol="CompanyNo")
           @UInt64
          public long getCompanyNo()

      Description copied from interface: `Organisation`

      Returns the registered company number for the organisation.

      Specified by:
        `getCompanyNo` in interface `Organisation`
      Returns:
        Registered company number for the organisation.

    - #### setCompanyNo

          @MediaPropertySetter(value="CompanyNo")
          public void setCompanyNo(@UInt64
                                                                           long companyNo)
                                                                    throws IllegalArgumentException

      Description copied from interface: `Organisation`

      Sets the registered company number for the organisation.

      Specified by:
        `setCompanyNo` in interface `Organisation`
      Parameters:
        `companyNo` - Registered company number for the organisation.
      Throws:
        `IllegalArgumentException` - Cannot set the company no property with the given value.

    - #### getContact

          @MediaProperty(definedName="Contact",
                         uuid1=253759745,
                         uuid2=260,
                         uuid3=512,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="PersonStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         description="Contact person at the organisation responsible for the contributed resource.",
                         symbol="Contact")
          public Person getContact()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         throws PropertyNotPresentException

      Description copied from interface: `Organisation`

      Returns the contact person at the organisation responsible for the contributed resource.

      This is an optional property.

      Specified by:
        `getContact` in interface `Organisation`
      Returns:
        Contact person at the organisation responsible for the contributed resource.
      Throws:
        `PropertyNotPresentException` - The optional contact property is not present for this organisation.

    - #### setContact

          @MediaPropertySetter(value="Contact")
          public void setContact(Person contact)

      Description copied from interface: `Organisation`

      Sets the contact person at the organisation responsible for the contributed resource.

      Set this optional property to `null` to omit it.

      Specified by:
        `setContact` in interface `Organisation`
      Parameters:
        `contact` - Contact person at the organisation responsible for the contributed resource.

    - #### clone

          public Organisation clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `Contributor`
      Specified by:
        `clone` in interface `Organisation`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DescriptiveObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `ContributorImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.